Get task

Get a task by id

GET
/tasks/{taskId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

taskIdstring

Task ID

Response Body

curl -X GET "https://eu1.api.bivariant.com/v1/tasks/string"
{
  "appId": "string",
  "authorId": "string",
  "children": [
    {
      "appId": "string",
      "authorId": "string",
      "children": [],
      "createdAt": "string",
      "description": "string",
      "endedAt": "string",
      "errors": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "executorId": "string",
      "id": "string",
      "input": null,
      "kind": "default",
      "organizationId": "string",
      "output": null,
      "params": {
        "property1": null,
        "property2": null
      },
      "parentId": "string",
      "startedAt": "string",
      "stateId": "string",
      "status": "created",
      "targetId": "string",
      "title": "string",
      "updatedAt": "string"
    }
  ],
  "createdAt": "string",
  "description": "string",
  "endedAt": "string",
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "executorId": "string",
  "id": "string",
  "input": null,
  "kind": "default",
  "organizationId": "string",
  "output": null,
  "params": {
    "property1": null,
    "property2": null
  },
  "parentId": "string",
  "startedAt": "string",
  "stateId": "string",
  "status": "created",
  "targetId": "string",
  "title": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}